Index: branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg
===================================================================
--- branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 1104)
+++ branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 1106)
@@ -173,26 +173,26 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1 1              # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1 1              # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )  (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3	               # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 1                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 1                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+Log2MpiSubPbSizeMinus3              : 3	               # Log2 of sub-PU size for MPI (3...6)
+DepthBasedBlkPartFlag               : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
 VSO                       : 1                                      # use of view synthesis optimization for depth coding
-DMM                                : 1
-IVP                                : 1                 # use of intra-view prediction mode
-SDC                                : 1
-DLT                                : 1
-QTL                                : 1
-LimQtPredFlag                      : 1
-InterSDC                           : 1                             # use of inter sdc
-MPI                                : 1
-SingleDepthMode                    : 1                 # use of single depth mode
+IntraWedgeFlag                      : 1
+IntraContourFlag                    : 1                 # use of intra-view prediction mode
+IntraSdcFlag                        : 1
+DLT                                 : 1
+QTL                                 : 1
+QtPredFlag                          : 1
+InterSdcFlag                        : 1                             # use of inter sdc
+MpiFlag                             : 1
+IntraSingleFlag                     : 1                 # use of single depth mode
 #========== view synthesis optimization (VSO) ==========
 
Index: branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg
===================================================================
--- branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 1104)
+++ branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 1106)
@@ -66,5 +66,5 @@
 DirectRefLayers_3             : 1 2         # Indices in VPS of direct reference layers 
 DirectRefLayers_4             : 0 1         # Indices in VPS of direct reference layers 
-DirectRefLayers_5             : 1 2         # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1 4         # Indices in VPS of direct reference layers 
 
 DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
@@ -191,26 +191,26 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1 1              # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1 1              # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )  (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 1                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 1                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+Log2MpiSubPbSizeMinus3              : 0                # Log2 of sub-PU size minus 3 for MPI (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+DepthBasedBlkPartFlag               : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
 VSO                       : 1                                      # use of view synthesis optimization for depth coding
-DMM                                : 1
-IVP                                : 1                 # use of intra-view prediction mode
-SDC                                : 1
-DLT                                : 1
-QTL                                : 1
-LimQtPredFlag                      : 1
-InterSDC                           : 1                             # use of inter sdc
-MPI                                : 1
-SingleDepthMode                    : 1                 # use of single depth mode
+IntraWedgeFlag                      : 1
+IntraContourFlag                    : 1                 # use of intra-view prediction mode
+IntraSdcFlag                        : 1
+DLT                                 : 1
+QTL                                 : 1
+QtPredFlag                          : 1
+InterSdcFlag                        : 1                             # use of inter sdc
+MpiFlag                             : 1
+IntraSingleFlag                     : 1                 # use of single depth mode
 #========== view synthesis optimization (VSO) ==========
 VSOConfig                 : [cx0 B(cc1) I(s0.25 s0.5 s0.75)][cx1 B(oo0) B(oo2) I(s0.25 s0.5 s0.75 s1.25 s1.5 s1.75)][cx2 B(cc1) I(s1.25 s1.5 s1.75)] # VSO configuration string
Index: branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/NonCTC/fco/baseCfg_3view+depth.cfg
===================================================================
--- branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/NonCTC/fco/baseCfg_3view+depth.cfg	(revision 1104)
+++ branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/NonCTC/fco/baseCfg_3view+depth.cfg	(revision 1106)
@@ -240,24 +240,24 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1                # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1                # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )  (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 1                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 1                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred ( MinCbLog2SizeY - 3 ) ... ( CtbLog2SizeY - 3 )
+Log2MpiSubPbSizeMinus3              : 0                # Log2 of sub-PU size minus 3 for MPI (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+DepthBasedBlkPartFlag               : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
-VSO                                : 1                 # use of view synthesis optimization for depth coding
-DMM                                : 1
-SDC                                : 1
-DLT                                : 1
-QTL                                : 0
-LimQtPredFlag                      : 0
-InterSDC                           : 1                             # use of inter sdc
-MPI                                : 1
+VSO                                 : 1                 # use of view synthesis optimization for depth coding
+IntraWedgeFlag                      : 1
+IntraSdcFlag                        : 1
+DLT                                 : 1
+QTL                                 : 0
+QtPredFlag                          : 0
+InterSdcFlag                        : 1                             # use of inter sdc
+MpiFlag                             : 1
 
 #========== view synthesis optimization (VSO) ==========
Index: branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/NonCTC/rc/baseCfg_3view+depth_rate_control.cfg
===================================================================
--- branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/NonCTC/rc/baseCfg_3view+depth_rate_control.cfg	(revision 1104)
+++ branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/NonCTC/rc/baseCfg_3view+depth_rate_control.cfg	(revision 1106)
@@ -62,15 +62,15 @@
 
 #======== VPS / Dependencies ================
-DirectRefLayers_1             :             # Indices in VPS of direct reference layers 
-DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
-DirectRefLayers_3             : 1           # Indices in VPS of direct reference layers 
-DirectRefLayers_4             : 0           # Indices in VPS of direct reference layers 
-DirectRefLayers_5             : 1           # Indices in VPS of direct reference layers 
-
-DependencyTypes_1             :             # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_3             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_4             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
-DependencyTypes_5             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DirectRefLayers_1             : 0            # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0 1          # Indices in VPS of direct reference layers 
+DirectRefLayers_3             : 1 2          # Indices in VPS of direct reference layers 
+DirectRefLayers_4             : 0 1          # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1 4          # Indices in VPS of direct reference layers 
+
+DependencyTypes_1             : 2            # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_2             : 2 2          # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_3             : 2 2          # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_4             : 2 2          # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_5             : 2 2          # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 
 #========== Camera parameters ==========
@@ -252,26 +252,26 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1 1              # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1 1              # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )  (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 1                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 1                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+Log2MpiSubPbSizeMinus3              : 0                # Log2 of sub-PU size minus 3 for MPI (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+DepthBasedBlkPartFlag               : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
 VSO                       : 1                                      # use of view synthesis optimization for depth coding
-DMM                                : 1
-IVP                                : 1                 # use of intra-view prediction mode
-SDC                                : 1
-DLT                                : 1
-QTL                                : 1
-LimQtPredFlag                      : 1
-InterSDC                           : 1                             # use of inter sdc
-MPI                                : 1
-SingleDepthMode                    : 1                 # use of single depth mode
+IntraWedgeFlag                      : 1
+IntraContourFlag                    : 1                 # use of intra-view prediction mode
+IntraSdcFlag                        : 1
+DLT                                 : 1
+QTL                                 : 1
+QtPredFlag                          : 1
+InterSdcFlag                        : 1                             # use of inter sdc
+MpiFlag                             : 1
+IntraSingleFlag                     : 1                 # use of single depth mode
 #========== view synthesis optimization (VSO) ==========
 VSOConfig                 : [cx0 B(cc1) I(s0.25 s0.5 s0.75)][cx1 B(oo0) B(oo2) I(s0.25 s0.5 s0.75 s1.25 s1.5 s1.75)][cx2 B(cc1) I(s1.25 s1.5 s1.75)] # VSO configuration string
Index: branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/baseCfg_2view+depth.cfg
===================================================================
--- branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/baseCfg_2view+depth.cfg	(revision 1104)
+++ branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/baseCfg_2view+depth.cfg	(revision 1106)
@@ -207,26 +207,26 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1 1              # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1 1              # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )   (v/d) 
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3	               # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 1                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 1                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+Log2MpiSubPbSizeMinus3              : 3	               # Log2 of sub-PU size for MPI (3...6)
+DepthBasedBlkPartFlag               : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
-VSO                                : 1                 # use of view synthesis optimization for depth coding
-DMM                                : 1
-IVP                                : 1                 # use of intra-view prediction mode
-SDC                                : 1
-DLT                                : 1
-QTL                                : 1
-LimQtPredFlag                      : 1
-InterSDC                           : 1                             # use of inter sdc
-MPI                                : 1
-SingleDepthMode                    : 1                 # use of single depth mode
+VSO                                 : 1                 # use of view synthesis optimization for depth coding
+IntraWedgeFlag                      : 1
+IntraContourFlag                    : 1                 # use of intra-view prediction mode
+IntraSdcFlag                        : 1
+DLT                                 : 1
+QTL                                 : 1
+QtPredFlag                          : 1
+InterSdcFlag                        : 1                             # use of inter sdc
+MpiFlag                             : 1
+IntraSingleFlag                     : 1                 # use of single depth mode
 #========== view synthesis optimization (VSO) ==========
 
Index: branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/baseCfg_2view.cfg
===================================================================
--- branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/baseCfg_2view.cfg	(revision 1104)
+++ branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/baseCfg_2view.cfg	(revision 1106)
@@ -178,14 +178,14 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1                # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1                # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on ) (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 0                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 0                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 0                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+Log2MpiSubPbSizeMinus3              : 0                # Log2 of sub-PU size minus 3 for MPI (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+DepthBasedBlkPartFlag               : 0                # Depth-based Block Partitioning
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/baseCfg_3view+depth.cfg
===================================================================
--- branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/baseCfg_3view+depth.cfg	(revision 1104)
+++ branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/baseCfg_3view+depth.cfg	(revision 1106)
@@ -66,5 +66,5 @@
 DirectRefLayers_3             : 1 2         # Indices in VPS of direct reference layers 
 DirectRefLayers_4             : 0 1         # Indices in VPS of direct reference layers 
-DirectRefLayers_5             : 1 2         # Indices in VPS of direct reference layers 
+DirectRefLayers_5             : 1 4         # Indices in VPS of direct reference layers 
 
 DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
@@ -240,26 +240,26 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1 1              # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1 1              # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )  (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 1                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 1                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+Log2MpiSubPbSizeMinus3              : 0                # Log2 of sub-PU size minus 3 for MPI (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+DepthBasedBlkPartFlag               : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
-VSO                                : 1                 # use of view synthesis optimization for depth coding
-DMM                                : 1
-IVP                                : 1                 # use of intra-view prediction mode
-SDC                                : 1
-DLT                                : 1
-QTL                                : 1
-LimQtPredFlag                      : 1
-InterSDC                           : 1                             # use of inter sdc
-MPI                                : 1
-SingleDepthMode                    : 1                 # use of single depth mode
+VSO                                 : 1                 # use of view synthesis optimization for depth coding
+IntraWedgeFlag                      : 1
+IntraContourFlag                    : 1                 # use of intra-view prediction mode
+IntraSdcFlag                        : 1
+DLT                                 : 1
+QTL                                 : 1
+QtPredFlag                          : 1
+InterSdcFlag                        : 1                             # use of inter sdc
+MpiFlag                             : 1
+IntraSingleFlag                     : 1                 # use of single depth mode
 #========== view synthesis optimization (VSO) ==========
 VSOConfig                 : [cx0 B(cc1) I(s0.25 s0.5 s0.75)][cx1 B(oo0) B(oo2) I(s0.25 s0.5 s0.75 s1.25 s1.5 s1.75)][cx2 B(cc1) I(s1.25 s1.5 s1.75)] # VSO configuration string
Index: branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/baseCfg_3view.cfg
===================================================================
--- branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/baseCfg_3view.cfg	(revision 1104)
+++ branches/HTM-12.2-dev2-HHI/cfg/3D-HEVC/baseCfg_3view.cfg	(revision 1106)
@@ -198,14 +198,14 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1                # Inter-view motion prediction
-AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
+IvMvPredFlag                        : 1                # Inter-view motion prediction
+IvResPredFlag                       : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )   (v/d)
 IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
-ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 0                # Disparity refined by depth DoNBDV
-IvMvScaling                         : 1                # Interview motion vector scaling
-SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
-DBBP                                : 0                # Depth-based Block Partitioning
+ViewSynthesisPredFlag               : 1                # View synthesis prediction 
+DepthRefinementFlag                 : 0                # Disparity refined by depth DoNBDV
+IvMvScalingFlag                     : 1                # Interview motion vector scaling
+Log2SubPbSizeMinus3                 : 0                # Log2 of sub-PU size minus 3 for IvMvPred (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+Log2MpiSubPbSizeMinus3              : 0                # Log2 of sub-PU size minus 3 for MPI (0 ... 3) and smaller than or equal to log2(maxCUSize)-3
+DepthBasedBlkPartFlag               : 0                # Depth-based Block Partitioning
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
